mqtt_host = dict({ "hostname": "test.mosquitto.org", "port": 1883 }) 
topic_name = "world"

# called when the client loses its connection
def on_disconnect(client, userdata, rc):
    if rc != 0:
        print("Unexpected disconnection: {}".format(rc) )
    
# called when a message arrives
def on_message(client, userdata, msg):
    print("onMessageArrived: " + msg.topic + " " + str(msg.payload))

def on_subscribe(client, userdata, mid, granted_qos):
	print("Subscribed: mid=" + str(mid) + " QoS=" + str(granted_qos))
    
def on_publish(client, userdata, mid):
	print("Published: mid=" + str(mid) )    
